List statement imports
GET /api/v1/programmatic/imports
/api/v1/programmatic/importsReturns statement imports from the PAT workspace.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
after | query | stringOptional | Opaque cursor returned as next_cursor by the previous page. <after> |
limit | query | numberOptional | Maximum import jobs returned per page. <limit> |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/imports?after=<after>&limit=<limit>' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": [
{
"type": "import_jobs",
"id": "<uuid>",
"attributes": {
"bank_key": "revolut",
"bank_name": "Revolut",
"file_name": "statement.csv",
"file_type": "csv",
"total_rows": 150,
"imported_count": 148,
"skipped_count": 1,
"skipped_existing_count": 1,
"error_count": 1,
"status": "completed",
"preview_version": 3,
"parse_options": {
"amount_semantics": "signed_debit_negative",
"amount_semantics_required": false
},
"error_message": "<string>",
"account_id": "<uuid>",
"preview": [
{}
],
"opening_balance_adjusted": [
{
"account_id": "<uuid>",
"account_name": "Main checking",
"currency_code": "USD",
"reason": "pre_opening_import_rows",
"target_balance": "1000.00",
"balance_as_of_date": "2026-07-12",
"tetri_balance_before": "950.00",
"tetri_balance_after": "1000.00",
"delta": "50.00",
"old_opening_balance": "100.00",
"new_opening_balance": "150.00",
"old_opening_balance_date": "2026-07-12",
"new_opening_balance_date": "2026-07-12"
}
],
"reverted_at": "2026-07-12T12:00:00Z",
"created_at": "2026-07-12T12:00:00Z",
"updated_at": "2026-07-12T12:00:00Z"
}
}
],
"meta": {
"limit": 25,
"has_more": true,
"next_cursor": "<opaque-cursor>",
"total": 120,
"count": 25
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}